import java.util.*;
import javax.naming.*;

class DirList implements NamingEnumeration {
    protected Enumeration names;

    DirList (Vector names) {
        this.names = names.elements();
    }

    public boolean hasMoreElements() {
	try {
	    return hasMore();
	} catch (NamingException e) {
	    return false;
	}
    }

    public boolean hasMore() throws NamingException {
        return names.hasMoreElements();
    }

    public Object next() throws NamingException {
        return names.nextElement();
    }

    public Object nextElement() {
        try {
            return next();
        } catch (NamingException e) {
  	    throw new NoSuchElementException(e.toString());
	}
    }

    public void close() {
    }
} 
