//JAXP packages
import org.xml.sax.*;
import org.xml.sax.helpers.*;

import java.util.*;
import javax.naming.*;

public class SAXDirReaderProcess extends DefaultHandler {
	private NameClassPair ncp;
	private Vector ne;
	public SAXDirReaderProcess () {
		super();
	}
	
	// Parser calls this once at the beginning of a document
	public void startDocument() throws SAXException {
	}

	// Parser calls this for each start element in a document
	public void startElement(String namespaceURI, String localName,
                                 String qName, Attributes atts)
	throws SAXException
	{
		String key = localName;
		// constitution de la structure
		
		if (localName.equals("REPERTOIRE")) {
			ne = new Vector();
		}		
		if (localName.equals("Fichier")) {
			// nom et type
			// atts.getValue("nom") et atts.getValue("type")
			ncp = new NameClassPair(atts.getValue("nom"),atts.getValue("type"));
			ne.add(ncp);
		}
	}

	// Parser calls this for each end element in a document
	public void endElement(String namespaceURI, String localName,
                                 String qName)
	throws SAXException
	{
		String key = localName;
		// constitution de la structure

		if (localName.equals("REPERTOIRE")) {
		}		
		if (localName.equals("Fichier")) {
		}
	}


	// Parser calls this once after parsing a document
	public void endDocument() throws SAXException {
	}
	
	public NamingEnumeration getNamingEnumeration() {return new DirList(ne);}
}
