import java.util.*;
import javax.mail.*;
import javax.mail.internet.*;

public class SendMail {
Session session;
	SendMail () {
		Properties props = System.getProperties();
		props.put("mail.transport.protocol","smtp");
		props.put("mail.smtp.host","mail.lipn.univ-paris13.fr");
		session = Session.getInstance(props, null);
	}

	public void sendMail(String recipient, String subject, String text) {
		MimeMessage message = new MimeMessage(session);
		InternetAddress from = null, to = null;
		try {
			from = new InternetAddress("cf@lipn.univ-paris13.fr");
		} catch (AddressException e) {System.err.println("Adresse source incorrecte");}
		
		try {
			message.setFrom(from);
		} catch (MessagingException me) {}
		
		try {
			to = new InternetAddress(recipient);
		} catch  (AddressException e) {System.err.println("Adresse destination incorrecte");}
		
		try {
			message.setRecipient(Message.RecipientType.TO, to);
			message.setSubject(subject);
			message.setText(text);
			Transport.send(message);
		} catch (MessagingException me) {System.err.println(me);}
	}
}

// recuperation de mail.jar (de J2EE par exemple)
//
// javac -classpath mail.jar SendMail.java
